org.springframework.batch.core.jsr

## Class JsrStepExecution

- java.lang.Object
- - org.springframework.batch.core.jsr.JsrStepExecution

- All Implemented Interfaces:
    javax.batch.runtime.StepExecution

      public class JsrStepExecution
      extends java.lang.Object
      implements javax.batch.runtime.StepExecution

  Implementation of the JsrStepExecution as defined in JSR-352. This implementation wraps a `StepExecution` as it's source of data.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrStepExecution(StepExecution stepExecution)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()`
    `java.util.Date` | `getEndTime()`
    `java.lang.String` | `getExitStatus()`
    `javax.batch.runtime.Metric[]` | `getMetrics()`
    `java.io.Serializable` | `getPersistentUserData()`
    `java.util.Date` | `getStartTime()`
    `long` | `getStepExecutionId()`
    `java.lang.String` | `getStepName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrStepExecution

          public JsrStepExecution(StepExecution stepExecution)

      Parameters:
        `stepExecution` - The `StepExecution` used as the basis for the data.

  - ### Method Detail

    - #### getStepExecutionId

          public long getStepExecutionId()

      Specified by:
        `getStepExecutionId` in interface `javax.batch.runtime.StepExecution`

    - #### getStepName

          public java.lang.String getStepName()

      Specified by:
        `getStepName` in interface `javax.batch.runtime.StepExecution`

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

      Specified by:
        `getBatchStatus` in interface `javax.batch.runtime.StepExecution`

    - #### getStartTime

          public java.util.Date getStartTime()

      Specified by:
        `getStartTime` in interface `javax.batch.runtime.StepExecution`

    - #### getEndTime

          public java.util.Date getEndTime()

      Specified by:
        `getEndTime` in interface `javax.batch.runtime.StepExecution`

    - #### getExitStatus

          public java.lang.String getExitStatus()

      Specified by:
        `getExitStatus` in interface `javax.batch.runtime.StepExecution`

    - #### getPersistentUserData

          public java.io.Serializable getPersistentUserData()

      Specified by:
        `getPersistentUserData` in interface `javax.batch.runtime.StepExecution`

    - #### getMetrics

          public javax.batch.runtime.Metric[] getMetrics()

      Specified by:
        `getMetrics` in interface `javax.batch.runtime.StepExecution`